Subject: Status of the URN work

From: Leslie Daigle <[email-masked]>
Date: Tue, 10 Aug 1999 16:47:06 -0400

Hello all,

Things are truly winding down in the URN working group, but I thought
I'd give an update on where we are at.

At this time, all our work items are pretty much completed -- if
you check documents listed on the the URN WG web page

        http://www.ietf.org/html.charters/urn-charter.html

you'll see that pretty much everything is out as an RFC.  Of the
four documents listed as I-D's, one

        A URN Namespace for IETF Documents

has actually achieved RFC status this month, and three

  To BCP:
        Assignment Procedures for the URI Resolution using DNS (RFC2168)

  To Proposed Standard:
        Resolution of Uniform Resource Identifiers using the Domain Name
        System
        The Naming Authority Pointer (NAPTR) DNS Resource Record

are in the IESG's queue -- awaiting "AD review".  This means there
may be further edits, but unless the unlikely event of any major issues
being revealed occurs, they will eventually progress as well.

The NID assignment document became an RFC in early July (RFC2611,
BCP 33, if you're wondering how to get a URN namespace); the actual
mechanisms described therein are being put in place -- the more
demand, the faster they will be set up ;-)

So, we're pretty much done.  If anyone is aware of URN projects
or implementation work being done, please feel free to mention
them on this list.

I'm not aware of any immediate plans for IETF follow-on work
specifically concerning URNs, but of course the Common Name Resolution
work is described in:

        draft-popp-cnrp-goals-xx.txt  and
        draft-popp-cnrp-xx.txt

and discussed on

        mailing list: [email-masked]
        to subscribe: [email-masked]

After the CNRP BOF in Oslo, a proposed charter was submitted to the
IESG, and there is the hope that this work will be continued in
a working group.

Leslie.

--

------------------------------------------------------------------------

"Reality:                                        Leslie Daigle
   yours to deconstruct."                        [email-masked]
            -- ThinkingCat

------------------------------------------------------------------------